Skip to main content
GET
List webhook subscription matched events

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

subscriptionId
string<uuid>
required

Unique identifier for the webhook subscription.

Pattern: ^[a-f0-9\-]{36}$

Query Parameters

pageSize
integer
default:50

The number of matches to return per page.

Required range: 1 <= x <= 1000
pageToken
string

The token for the next page of resources, if any.

eventId
string<uuid>

Filter by a specific event ID.

Pattern: ^[a-f0-9\-]{36}$
minCreatedAt
string<date-time>

Filter matched events created at or after this timestamp (RFC 3339 format).

maxCreatedAt
string<date-time>

Filter matched events created at or before this timestamp (RFC 3339 format).

eventTypes
string

Filter by event type names (comma-separated).

status
enum<string>

Filter matched events by status. Current state of the matched event.

  • retrying: The event is currently being retried. For when the next attempt will occur, see nextAttemptAt.
  • abandoned: The event was abandoned. This means the subscription was disabled during the retry lifecycle.
  • succeeded: The event was successfully delivered to the target URL.
  • failed: The event delivery failed due to reaching the maximum number of retry attempts or other non-retryable failure such as a subscription misconfiguration.
Available options:
retrying,
abandoned,
succeeded,
failed
Example:

"succeeded"

Response

Webhook events retrieved successfully.

Response containing a list of webhook events that match the subscriptionId specified.

matches
object[]
required

The list of webhook events that match the subscriptionId specified.

Events are sorted by createdAt in descending order (most recent first).

nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="